ISPConfig upgrade issue from version 3.1.13 -> 3.2.5 fail at powerdns database

Discussion in 'Installation/Configuration' started by lumanet, Aug 30, 2021.

  1. lumanet

    lumanet New Member

    Hello,
    I do have a Ubuntu installation running Ubuntu 16.04.7 LTS to be exact with an external MySQL DB Server at the same Data Center.
    I am trying to upgrade ISPConfig because the older version is causing issues.
    This Version: 3.1.13
    New Version : 3.2.5
    Code:
    >> Update
    
    Operating System: Ubuntu 16.04.7 LTS (Xenial Xerus)
    
    This application will update ISPConfig 3 on your server.
    
    Shall the script create a ISPConfig backup in /var/backup/ now? (yes,no) [yes]: no
    
    mysqldump: [Warning] Using a password on the command line interface can be insecure.
    Checking ISPConfig database .. mysqlcheck: [Warning] Using a password on the command line interface can be insecure.
    OK
    mysql: [Warning] Using a password on the command line interface can be insecure.
    Starting incremental database update.
    Loading SQL patch file: /tmp/update_stable.sh.RI8vCkvs2O/ispconfig3_install/install/sql/incremental/upd_dev_collection.sql
    Reconfigure Permissions in master database? (yes,no) [no]: yes
    
    Reconfigure Services? (yes,no,selected) [yes]:
    
    The following custom templates were found:
    
    /usr/local/ispconfig/server/conf-custom/install/blacklist_helo.master
    
    Do you want to rename these conf-custom templates now so the default templates are used? (yes,no) [no]:
    
    Configuring Postfix
    Configuring Dovecot
    Configuring Mailman
    Configuring Spamassassin
    Configuring Amavisd
    Configuring Getmail
    Configuring PowerDNS
    ERROR: Unable to create user for powerdns database Error:
    
    
    Database Server details are :

    Server version: 10.1.44-MariaDB-0ubuntu0.18.04.1 Ubuntu 18.04


    I have full access to all boxes since I am root on both machines. I just do not know what else I could show in order to help to solve it. Please advise.

    Thank you
     
    Last edited: Aug 30, 2021
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Are you using powerDNS?
     
  3. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    I thought ISPConfig 3.2 version does not support Ubuntu older than 18.04. So Ubuntu should be upgraded first, then ISPConfig.
     
  4. lumanet

    lumanet New Member

    Hello Till, yes we do use PowerDNS.
     
  5. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    16.04 is actually still supported. But it could be that the combination of Ubuntu 16.04 and PowerDNS has issues, as most users use BIND so PowerDNS issues aren't reported often.

    The output ends with "Error:" but I don't see any line after it, is there anything shown after that?
     
  6. lumanet

    lumanet New Member

    It just goes back to the bash prompt. So if I knew where to look for so I can further troubleshoot it it would be very helpful because in var/log/ I don't see any error messages.
     
  7. till

    till Super Moderator Staff Member ISPConfig Developer

    Search the code for "Unable to create user for powerdns database".
     

Share This Page